﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGanttView.UIElements;
using Infragistics.Win.UltraWinToolbars;

namespace WindowsFormsApplication692
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            for (int i = 0; i < 10; i++)
            {
                ultraCalendarInfo1.Tasks.Add(new TimeSpan(i, 0, 0), "TEST" + i);
            }            
        }

        TaskBarUIElement currentTask;
        bool isInTask = false;
        private void ultraGanttView1_MouseEnterElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            
            if (e.Element is TaskBarUIElement)
            {
                isInTask = true;
                currentTask = (TaskBarUIElement)e.Element as TaskBarUIElement;
            }
            else isInTask = false;
        }

        private void ultraGanttView1_MouseClick(object sender, MouseEventArgs e)
        {
            if (e.Button == System.Windows.Forms.MouseButtons.Right && isInTask)
            {
                contextMenuStrip1.Items.Clear();
                contextMenuStrip1.Items.Add(currentTask.Task.StartDateTime.ToShortDateString());
                contextMenuStrip1.Items.Add(currentTask.Task.Name);
                contextMenuStrip1.Show(ultraGanttView1.PointToScreen(e.Location));
            }
        }
    }
}
